<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
input:required {
	border: 1px solid blue;
}

input:optional{
	background-color:#FFFF00;
}

label.obligatorio::after 
{
	content:"*";
}

input:valid {
	border: 1px solid green;
}

input:invalid {
	border: 1px solid red;
}

input:focus{
	background-color:#CCCCCC;
}

</style>
</head>

<body>
<form>
<label class="obligatorio" for="nombre">Nombre</label>
<input id="nombre" type="text" name="nombre" placeholder="Introduce tu nombre" required>
<label for="apellidos">Apellidos</label>
<input id="apellidos" type="text" name="apellidos" placeholder="Introduce tus apellidos">
<input type="submit" value="enviar">
</form>
</body>
</html>
